LINUX.ORG.RU

Запуск ядра, собранного более старой версией gcc


0

2

На сколько современное ядро Линукс чувствительно к версии компилятора, которым собран user-space? Например, можно ли без последствий собрать ядро gcc'ой 4.1.2 и запустить в дистрибутиве с gcc'ой 4.4.1?

★★★★★

Разрешаю. Если серьёзно, то ведро написано на языке C и не использует никаких демонических библиотек. С чего бы ему вообще как-то реагировать на версию компилятора в системе?

KblCb ★★★★★ ()
Ответ на: комментарий от KblCb

Да, я тоже так подумал, мол все strlen'ы для ядра свои написаны, но тем не менее, ведь могут ведь теоретически у нового ядра появиться новые флаги для системных вызовов, а старые заголовки о них ни ухом, ни рылом... хотя с другой стороны обратная совместимость всё равно должна сохраняться, если вообще есть какое-то понятие о порядке в рядах славных линуксоидов.

seiken ★★★★★ ()

а вы попробуйте собрать легковесное ядро. и попробуйте GCC3. и расскажите о результатах.

jeuta ★★★★ ()
Ответ на: комментарий от seiken

>но тем не менее, ведь могут ведь теоретически у нового ядра появиться новые флаги для системных вызовов, а старые заголовки о них ни ухом, ни рылом...

У какого «нового» ядра? Ядро от версии компилятора новее не становится. И практически весь софт работает с ядром через glibc.

запустить в дистрибутиве с gcc'ой 4.4.1

Это расплывчатая фраза. Если обычный софт собран другим компилятором, то всё должно быть нормально, а если насобирать модулей ядра другим копилятором, чем само ядро, ИМХО, может и не заработать.

mky ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.